## org.eclipse.m2m.atl.debug.core
Class AtlExpression

    java.lang.Object
      org.eclipse.m2m.atl.debug.core.AtlExpression

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.debug.core.IDebugEventSetListener, org.eclipse.debug.core.model.IDebugElement, org.eclipse.debug.core.model.IExpression

    public class AtlExpression

extends java.lang.Object
implements org.eclipse.debug.core.model.IExpression, org.eclipse.debug.core.IDebugEventSetListener

The ATL Expression definition (for debug).

Constructor Summary
`AtlExpression(AtlDebugTarget atlDT, java.lang.String snippet)` Constructor.

Method Summary
`void` `dispose()`
`java.lang.Object` `getAdapter(java.lang.Class adapter)` Not use in our context.
`org.eclipse.debug.core.model.IDebugTarget` `getDebugTarget()`
`java.lang.String` `getExpressionText()`
`org.eclipse.debug.core.ILaunch` `getLaunch()`
`java.lang.String` `getModelIdentifier()`
`org.eclipse.debug.core.model.IValue` `getValue()`
`void` `handleDebugEvents(org.eclipse.debug.core.DebugEvent[] events)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtlExpression

    public AtlExpression(AtlDebugTarget atlDT,
                         java.lang.String snippet)

  Constructor.

  Parameters:
    `atlDT` - debug target
    `snippet` - expression

Method Detail

### getExpressionText

    public java.lang.String getExpressionText()

  Specified by:
    `getExpressionText` in interface `org.eclipse.debug.core.model.IExpression`
  See Also:
    `IExpression.getExpressionText()`

### getValue

    public org.eclipse.debug.core.model.IValue getValue()

  Specified by:
    `getValue` in interface `org.eclipse.debug.core.model.IExpression`
  See Also:
    `IExpression.getValue()`

### getDebugTarget

    public org.eclipse.debug.core.model.IDebugTarget getDebugTarget()

  Specified by:
    `getDebugTarget` in interface `org.eclipse.debug.core.model.IDebugElement`
  Specified by:
    `getDebugTarget` in interface `org.eclipse.debug.core.model.IExpression`
  See Also:
    `IExpression.getDebugTarget()`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.debug.core.model.IExpression`
  See Also:
    `IExpression.dispose()`

### getModelIdentifier

    public java.lang.String getModelIdentifier()

  Specified by:
    `getModelIdentifier` in interface `org.eclipse.debug.core.model.IDebugElement`
  See Also:
    `IDebugElement.getModelIdentifier()`

### getLaunch

    public org.eclipse.debug.core.ILaunch getLaunch()

  Specified by:
    `getLaunch` in interface `org.eclipse.debug.core.model.IDebugElement`
  See Also:
    `IDebugElement.getLaunch()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Not use in our context.

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  See Also:
    `IAdaptable.getAdapter(java.lang.Class)`

### handleDebugEvents

    public void handleDebugEvents(org.eclipse.debug.core.DebugEvent[] events)

  Specified by:
    `handleDebugEvents` in interface `org.eclipse.debug.core.IDebugEventSetListener`
  See Also:
    `IDebugEventSetListener.handleDebugEvents(org.eclipse.debug.core.DebugEvent[])`

Copyright 2007 IBM Corporation and others. All Rights Reserved.